@extends('base.base')
@section('base')
    <!-- 内容区域 -->
    <div class="main-panel">
        <div class="content-wrapper">
            <div class="page-header">
                <h3 class="page-title">
                     <span class="page-title-icon bg-gradient-primary text-white mr-2">
                        <i class="mdi mdi-settings"></i>
                    </span>
                    {{ __('auto.添加备注') }}
                </h3>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="#">{{ __('auto.添加备注') }}</a></li>
                        <li class="breadcrumb-item active" aria-current="page">{{ __('auto.渠道审核') }}</li>
                    </ol>
                </nav>
            </div>
            <div class="row">
                <div class="col-lg-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">{{$ChannelName}}</h4>

                            <form class="forms-sample" id="form">
                                <div class="form-group">
                                    <label for="exampleInputName1">{{ __('auto.备注') }}</label>
                                    <textarea class="form-control" rows="3" name="remarks">{{$info->remarks}}</textarea>
                                    <br>
                                </div>

                                <button type="button" onclick="commit({{$info->ChannelType}},'{{$info->ChannelIndex}}','{{$info->AndroidVersion}}')" class="btn btn-sm btn-gradient-primary btn-icon-text">
                                    <i class="mdi mdi-file-check btn-icon-prepend"></i>
                                    {{ __('auto.提交') }}
                                </button>
                                <button type="button" onclick="cancel()" class="btn btn-sm btn-gradient-warning btn-icon-text">
                                    <i class="mdi mdi-reload btn-icon-prepend"></i>
                                    {{ __('auto.取消') }}
                                </button>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>

        function commit(ChannelType, ChannelIndex,AndroidVersion){
            if(!checkForm()){
                return false;
            }
            var data = $("#form").serializeObject();
            myRequest("/admin/channel/update/"+ChannelType,"post", {ChannelIndex,data,AndroidVersion},function(res){
                layer.msg(res.msg)
                setTimeout(function(){
                    parent.location.reload();
                },1500)
            });
        }

        function cancel() {
            parent.location.reload();
        }

        function switch_control(id, config_id, type) {

            console.log(id)
            myConfirm("{{ __('auto.操作不可逆,是否继续') }}?", function () {
                myRequest("/admin/channel/update/" + id, "post", {config_id, type}, function (res) {
                    layer.msg(res.msg)
                    setTimeout(function () {
                        parent.location.reload();
                    }, 1500)
                });
            });
        }


    </script>
@endsection
